Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/dlkp.c File Reference

Discrete Logarithm Keypair, code. More...

`#include "system.h"`
`#include "dlkp.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions
int | dlkp_pPair (dlkp_p *kp, randomGeneratorContext *rgc, const dldp_p *param)
int | dlkp_pInit (dlkp_p *kp)
int | dlkp_pFree (dlkp_p *kp)
int | dlkp_pCopy (dlkp_p *dst, const dlkp_p *src)

## Detailed Description

Discrete Logarithm Keypair, code.

Definition in file dlkp.c.

## Function Documentation

int dlkp_pCopy | ( | dlkp_p * | dst,
|  | const dlkp_p * | src
| ) |

| Definition at line 70 of file dlkp.c. References dldp_pCopy, mp32ncopy, dlkp_p::param, dlkp_p::x, and dlkp_p::y.

int dlkp_pFree | ( | dlkp_p * | kp | ) |

| Definition at line 57 of file dlkp.c. References dldp_pFree, mp32nfree, dlkp_p::param, dlkp_p::x, and dlkp_p::y.

int dlkp_pInit | ( | dlkp_p * | kp | ) |

| Definition at line 46 of file dlkp.c. References dldp_pInit, mp32nzero, dlkp_p::param, dlkp_p::x, and dlkp_p::y.

int dlkp_pPair | ( | dlkp_p * | kp,
|  | randomGeneratorContext * | rgc,
|  | const dldp_p * | param
| ) |

| Definition at line 34 of file dlkp.c. References dldp_pCopy, dldp_pPair, dlkp_p::param, dlkp_p::x, and dlkp_p::y.